github: shadowy octopus with the head of a robot, emblazoned with the Dreamwidth swirl (Default)
github ([personal profile] github) wrote in [site community profile] changelog2017-04-04 09:24 pm

[dreamwidth/dw-free] 76b4b6: [#2046] print warning and skip compass step if usi...

Branch: refs/heads/develop
Home: https://github.com/dreamwidth/dw-free
Commit: 76b4b6a0fb26ab23bedb6fbe067120cad4921b80
https://github.com/dreamwidth/dw-free/commit/76b4b6a0fb26ab23bedb6fbe067120cad4921b80
Author: Kareila <kareila@dreamwidth.org>
Date: 2017-04-04 (Tue, 04 Apr 2017)

Changed paths:
M bin/build-static.sh

Log Message:
-----------
[#2046] print warning and skip compass step if using old version

My development laptop has a version string starting with 0.12,
so I arbitrarily chose that as the minimum viable version.

I ran into a problem, however, when checking to see what version
of Compass was installed on the admin box; I got an error message
saying that VERSION.yml was missing, so this change will likely
break the script in production until that situation is remedied.

Fixes #2046.


Commit: 8c983240b08577570c938cb4a086b3cb9181c6f4
https://github.com/dreamwidth/dw-free/commit/8c983240b08577570c938cb4a086b3cb9181c6f4
Author: Mark Smith <mark@qq.is>
Date: 2017-04-04 (Tue, 04 Apr 2017)

Changed paths:
M bin/build-static.sh

Log Message:
-----------
Merge pull request #2068 from kareila/2046-compass

[#2046] print warning and skip compass step if using old version


Compare: https://github.com/dreamwidth/dw-free/compare/f3b52d37d01f...8c983240b085